=== debian/changelog ===
libalkimia (4.3.1-1) unstable; urgency=low

  * Initial Debian Release (Closes: #644122)

 -- Mark Purcell <msp@debian.org>  Mon, 03 Oct 2011 12:16:22 +1100

libalkimia (4.3.1-0ubuntu1~ppa5) lucid; urgency=low

  * Lucid build.

 -- Clay Weber <claydoh@claydoh.com>  Sat, 13 Aug 2011 17:14:46 -0400

libalkimia (4.3.1-0ubuntu1~ppa4) maverick; urgency=low

  * Maverick build

 -- Clay Weber <claydoh@claydoh.com>  Sat, 13 Aug 2011 17:11:50 -0400

libalkimia (4.3.1-0ubuntu1~ppa3) natty; urgency=low

  * Version bump, no changes.

 -- Clay Weber <claydoh@claydoh.com>  Sat, 13 Aug 2011 16:28:46 -0400

libalkimia (4.3.1-0ubuntu1~ppa1) natty; urgency=low

  * Initial packaging

 -- Clay Weber <claydoh@claydoh.com>  Sat, 13 Aug 2011 11:37:54 -0400
