=== debian/control ===
Source: libalkimia
Section: kde
Priority: extra
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Clay Weber <claydoh@claydoh.com>
Build-Depends: debhelper (>= 7.0.50~), pkg-kde-tools (>= 0.5.0), cmake, kdelibs5-dev (>= 4:4.4.4), libgmp3-dev
Standards-Version: 3.9.1
Homepage: http://kde-apps.org/content/show.php?content=137323

Package: libalkimia4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Financial library common classes for KDE SC
 Libalkimia is a library with common classes and functionality used by
 finance applications for the KDE SC. Currently it supports a common
 class to represent monetary values with arbitrary precision.

Package: libalkimia-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libalkimia4 (= ${binary:Version})
Description: Financial library - Development files
 Libalkimia is a library with common classes and functionality used by
 finance applications for the KDE SC. Currently it supports a common
 class to represent monetary values with arbitrary precision.
 .
 This package contains development files needed for Libalkimia.
