## libalkimia 4.3.2

=== CMakeLists.txt ===
# The CMake version we require
cmake_minimum_required(VERSION 2.6.4)

add_subdirectory(libalkimia)
