=== debian/changelog ===
libalkimia (4.3.2-3) unstable; urgency=medium

  [ Pino Toscano ]
  * Remove extra ${shlibs:Depends} from libalkimia-dev.
  * Do not disable the tests, even if there are currently no tests.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 30 Aug 2015 20:24:43 +0200

libalkimia (4.3.2-2) unstable; urgency=medium

  * Team upload.
  * Bump debhelper compatibility to 9:
    - bump the debhelper build dependency to >= 9
    - bump compat to 9
  * Add Vcs-Browser and Vcs-Svn headers.
  * Bump the priority of libalkimia-dev to optional.
  * Bump Standards-Version to 3.9.5, no changes required.
  * Switch the libgmp3-dev build dependency (transitional) to libgmp-dev.
  * Enable the parallel build.
  * Make the .install files a bit more specific, and sort them.
  * Move all the development files (cmake and pkg-config) from libalkimia4
    to libalkimia-dev; add proper breaks/replaces for this.
  * Switch section of libalkimia4 to libs.

 -- Pino Toscano <pino@debian.org>  Sat, 13 Sep 2014 19:33:48 +0200

libalkimia (4.3.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbs missing dependency on pkg-config": add it.
    (Closes: #674212)

 -- gregor herrmann <gregoa@debian.org>  Sun, 10 Jun 2012 15:38:21 +0200

libalkimia (4.3.2-1) unstable; urgency=low

  * New upstream release 
  * Added debian/watch
  * Swap -dev Priority: - package-depends-on-lower-priority-package

 -- Mark Purcell <msp@debian.org>  Sat, 11 Feb 2012 12:57:53 +1100
