=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: libalkimia
-Section: kde
-Priority: extra
+Section: libs
+Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Clay Weber <claydoh@claydoh.com>
-Build-Depends: debhelper (>= 7.0.50~), pkg-kde-tools (>= 0.5.0), cmake, kdelibs5-dev (>= 4:4.4.4), libgmp3-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5.0), cmake, kdelibs5-dev (>= 4:4.4.4), libgmp-dev, pkg-config
+Standards-Version: 3.9.5
 Homepage: http://kde-apps.org/content/show.php?content=137323
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/libalkimia/trunk
+Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/libalkimia/trunk
 
 Package: libalkimia4
 Architecture: any
@@ -17,9 +19,10 @@
 
 Package: libalkimia-dev
 Section: libdevel
-Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libalkimia4 (= ${binary:Version})
+Depends: ${misc:Depends}, libalkimia4 (= ${binary:Version})
+Breaks: libalkimia4 (<< 4.3.2-2~)
+Replaces: libalkimia4 (<< 4.3.2-2~)
 Description: Financial library - Development files
  Libalkimia is a library with common classes and functionality used by
  finance applications for the KDE SC. Currently it supports a common
