=== debian/watch ===
version=3
#http://kde-apps.org/content/download.php?content=137323&id=1&tan=95574683
#http://kde-apps.org/CONTENT/content-files/137323-libalkimia-4.3.2.tar.bz2

http://kde-apps.org/content/download.php?content=137323 \
  /CONTENT/content-files/137323-libalkimia-([\d\.]+)\.tar\.(?:gz|bz2).* debian svn-upgrade
