=== debian/changelog ===
libalkimia (5.0.0-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Sat, 25 Jun 2016 09:40:34 +0200

libalkimia (5.0.0-2) experimental; urgency=medium

  * Team upload.
  * Backport upstream commit 2e6172a7d723d53ff62fc3eaf2ea7208db0fd0a7 to fix
    AlkValue::operator=(QString); patch
    upstream_Fix-AlkValue-operator-QString-w-valueRef.patch.
  * Update copyright; thanks Scott Kitterman for the notice!

 -- Pino Toscano <pino@debian.org>  Mon, 20 Jun 2016 23:18:52 +0200

libalkimia (5.0.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove extra ${shlibs:Depends} from libalkimia-dev.
  * Do not disable the tests.
  * Update watch file.
  * Rename libalkimia4 to libalkimia5 according to the new SONAME.
  * Update install files.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Update Vcs-Browser field.

 -- Pino Toscano <pino@debian.org>  Sun, 19 Jun 2016 10:34:23 +0200
