=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Clay Weber <claydoh@claydoh.com>
 Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5.0), cmake, kdelibs5-dev (>= 4:4.4.4), libgmp-dev, pkg-config
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://kde-apps.org/content/show.php?content=137323
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/libalkimia/trunk
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/libalkimia/trunk/
 Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/libalkimia/trunk
 
-Package: libalkimia4
+Package: libalkimia5
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Financial library common classes for KDE SC
@@ -20,7 +20,7 @@
 Package: libalkimia-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libalkimia4 (= ${binary:Version})
+Depends: ${misc:Depends}, libalkimia5 (= ${binary:Version})
 Breaks: libalkimia4 (<< 4.3.2-2~)
 Replaces: libalkimia4 (<< 4.3.2-2~)
 Description: Financial library - Development files
