=== debian/watch ===
version=4

http://download.kde.org/stable/alkimia/([\d\.]+)/src/libalkimia-([\d\.]+)\.tar\.xz
